Create Cyberdriver Web Session
curl --request POST \
--url https://api.cyberdesk.io/v1/machines/{machine_id}/cyberdriver/web-session \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/machines/{machine_id}/cyberdriver/web-session"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/machines/{machine_id}/cyberdriver/web-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rustdesk_peer_id": "<string>",
"desktop_label": "<string>",
"selected_organization_id": "<string>",
"token": "<string>",
"expires_at": 123,
"mode": "<string>",
"endpoints": {
"hbbs_url": "<string>",
"hbbr_url": "<string>"
},
"public_key": "<string>",
"features": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}machines
Create Cyberdriver Web Session
Mint a short-lived browser session for Cyberdriver 1.x web streaming.
POST
/
v1
/
machines
/
{machine_id}
/
cyberdriver
/
web-session
Create Cyberdriver Web Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?